petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscInfoSetFilterCommSelf

Sets PetscInfoCommFlag enum to determine communicator filtering for PetscInfo()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoSetFilterCommSelf(PetscInfoCommFlag commSelfFlag)

Not Collective

### Input Parameter

commSelfFlag -Enum value indicating method with which to filter PetscInfo() based on the size of the communicator of the object calling PetscInfo()

### See Also

PetscInfo(), PetscInfoGetInfo()

### Level

advanced

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages